import MockItem from '../mocker/mock-item';
import Mocker from '../mocker/mocker';
import { Method, RequestInfo } from '../types';
import InterceptorFetch from './fetch';
import InterceptorNode from './node/http-and-https';
import InterceptorWxRequest from './wx-request';
import InterceptorXhr from './xml-http-request';
export default class BaseInterceptor {
    protected mocker: Mocker;
    protected global: any;
    constructor(mocker: Mocker);
    /**
     * Setup request mocker.
     * @param {Mocker} mocker
     */
    static setup(mocker: Mocker): InterceptorWxRequest | InterceptorFetch | InterceptorXhr | InterceptorNode;
    /**
     * return global variable
     */
    static getGlobal(): any;
    /**
     * Check whether the specified request url matchs a defined mock item.
     * If a match is found, return mock meta information, otherwise a null is returned.
     * @param {string} reqUrl
     * @param {string} reqMethod
     */
    protected matchMockRequest(reqUrl: string, reqMethod: Method | undefined): MockItem | null;
    getRequestInfo(mixedRequestInfo: any): RequestInfo;
}
