import MockItem from '../mocker/mock-item';
import Mocker from '../mocker/mocker';
import { RequestInfo } from '../types';
import Base from './base';
export default class FetchInterceptor extends Base {
    private static instance;
    private fetch;
    constructor(mocker: Mocker);
    /**
     * Setup request mocker for unit test.
     * @param {Mocker} mocker
     */
    static setupForUnitTest(mocker: Mocker): FetchInterceptor;
    /**
     * https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API/Using_Fetch
     * Intercept fetch object.
     */
    private intercept;
    /**
     * Make mock request.
     * @param {MockItem} mockItem
     * @param {RequestInfo} requestInfo
     * @param {Function} resolve
     */
    private doMockRequest;
    /**
     * Make mock request.
     * @param {MockItem} mockItem
     * @param {RequestInfo} requestInfo
     * @param {Function} resolve
     */
    private doMockResponse;
    /**
     * https://developer.mozilla.org/en-US/docs/Web/API/Response
     * Format mock data.
     * @param {any} responseBody
     * @param {MockItem} mockItem
     * @param {RequestInfo} requestInfo
     */
    getFetchResponse(responseBody: any, mockItem: MockItem, requestInfo: RequestInfo): Response | {
        body: any;
        bodyUsed: boolean;
        headers: Headers | {
            'x-powered-by': string;
        };
        ok: boolean;
        redirected: boolean;
        status: number;
        statusText: any;
        url: string;
        type: string;
        json: () => Promise<any>;
        arrayBuffer: () => Promise<any>;
        blob: () => Promise<any>;
        formData: () => Promise<any>;
        text: () => Promise<string>;
        clone: () => any;
        error: () => any;
        redirect: () => any;
    };
}
